/*global define*/

define("de_epages/mediagallery/filemanager/folder-model", [
	"backbone",
	"ep",
	"./sync"
], function (Backbone, ep, filemanagerSync) {
    "use strict";

    var model = Backbone.Model.extend({
        sync: filemanagerSync,
        defaults: {
            icon: ep.config.javascriptRoot + "/de_epages/mediagallery/images/ico_folder.png",
            modelType: "folder"
        },

        initialize: function () {
            // set id for foldermodels
            if (this.get("metadata")) {
                this.set({
                    id: this.get("metadata").type + this.get("metadata").path
                });
            }
        }
    });

    return model;
});